FROM maven:3.8.6-openjdk-8-slim
COPY settings.xml /root/.m2/
RUN echo "deb http://mirror.nju.edu.cn/debian/ bullseye main contrib non-free" > /etc/apt/sources.list && \
    echo "deb http://mirror.nju.edu.cn/debian/ bullseye-updates main contrib non-free" >> /etc/apt/sources.list && \
    echo "deb http://mirror.nju.edu.cn/debian/ bullseye-backports main contrib non-free" >> /etc/apt/sources.list && \
    echo "deb http://mirror.nju.edu.cn/debian-security bullseye-security main contrib non-free" >> /etc/apt/sources.list && \
    apt update && apt install -y python3 python3-pip python-is-python3 \
    && pip config set global.index-url https://mirror.nju.edu.cn/pypi/web/simple \
